--- title: "createRouteTable" slug: "networking-vpc-routetable-createroutetable" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-routetable-createroutetable" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createRouteTable Available in VPC Create a route table according to the user-defined conditions. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/createRouteTable | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC request headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code where you want to create a route table - First Region of the query result (default). - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `vpcNo` | String | Required | Number of the VPC where you want to create a route table - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `routeTableName` | String | Optional | Route table name - Granted automatically by NAVER Cloud Platform (default). - Enter 3-30 characters, including letters, numbers, and special character "-". - The string must begin with an English letter and end with an English letter or number. | | `supportedSubnetTypeCode` | String | Required | Subnet type supported by the route table you want to create - `PUBLIC` \| `PRIVATE` - `PUBLIC`: Public subnet - `PRIVATE`: Private subnet | | `routeTableDescription` | String | Optional | Description of the route table (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/createRouteTable ?regionCode=KR &vpcNo=***04 &routeTableName=test-*** &supportedSubnetTypeCode=PUBLIC' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ## Response This section describes the response format. ### Response body See [RouteTableList](/docs/en/common-vapidatatype-routetablelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#응답상태코드). ### Response example The response example is as follows: ```xml 9f59a9dc-cddf-4580-a232-3359f088a1e8 0 success 1 ***38 test-*** KR ***04 PUBLIC Public false RUN run ```